/**
 **
 ** RMSEStats.java - RMSE statistics accumulator for disparity quality reporting
 **
 ** Copyright (C) 2024 Elphel, Inc.
 **
 ** -----------------------------------------------------------------------------**
 **
 **  RMSEStats.java is free software: you can redistribute it and/or modify
 **  it under the terms of the GNU General Public License as published by
 **  the Free Software Foundation, either version 3 of the License, or
 **  (at your option) any later version.
 **
 **  This program is distributed in the hope that it will be useful,
 **  but WITHOUT ANY WARRANTY; without even the implied warranty of
 **  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 **  GNU General Public License for more details.
 **
 **  You should have received a copy of the GNU General Public License
 **  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ** -----------------------------------------------------------------------------**
 **
 */
package com.elphel.imagej.tileprocessor;

public class RMSEStats {
	public double max =  0;
	public double sum2 = 0;
	public int num =     0;
	public void add(double rmse) {
		sum2 += rmse*rmse;
		num++;
		max = Math.max(max,  rmse);
	}
	public double getMax() {
		return max;
	}
	public int getNum() {
		return num;
	}
	public double getAverage() {
		return Math.sqrt(sum2/num);
	}
	
}
